Subject: RE: [Sipping] conf: comments on draft-even-sipping-media-policy-requirements-00

From: "Eric Burger" <[email-masked]>
Date: Tue, 8 Apr 2003 18:12:10 -0400

Inline.

> -----Original Message From: Even, Roni [mailto:[email-masked]]
[snip]
> > Section 8.1:
> > What on Earth is LastLoudest?  What is the "audio mix set 
> > before the current one"?  Over what time period?  Is this 
> > continuous?  How often does it get updated?
> The Lastloudest is the loudest speaker in the previous mix, 
> this operation
> is to buffer the loudest speaker when a new speaker becomes 
> the loudest. It
> is used for example in video conferencing to create a 
> conference that is
> showing to every one the loudest speaker and the loudest 
> speaker will see
> the previous loudest speaker. As for the rate of change of 
> active speaker,
> the conferencing bridges are using some parameters that 
> specify the minimum
> time that some has to be loudest before becoming the loudest 
> speaker (also
> known as cough delay - so that clearing your throat will not cause a
> switch), the other parameter is minimum time that active 
> speaker is viewed
> before a switch can occur.

Do be sure to include this clarifying statement in the document, including the 14 or so parameters needed for the algorithm :-)

> > Does Not(Qualifier) result in a set?  E.g., in a conference 
> > with more than 2 participants, Not(LastLoudest) results in 
> > more than one stream.
> > 
> That is true, but in the example we had 4 input streams that 
> were the result
> from the mixer. three of them had the loudest speaker as a 
> contributor and
> only one did not. I will clarify the text

Right.  To me it looks like all of the operators are on sets, not scalar values.  If this is so, I would state it outright.  I can guarantee that implementers that are not familiar with set arithmetic will assume the results of all of the operations is a single stream.

> > Section 8.3:
> > What is the use case for LoudestSpeaker(N), where N != 1?  I 
> > would offer that if the use case is, "I will construct a mix 
> > of the three loudest talkers by doing 
> An example is Not (LoudestSpeaker(2)) - will select the 
> stream that does not
> include the second loudest speaker as a contributing source.

I understand the algebra.  I don't understand the "why".  What would one use with the stream that doesn't include the 2nd loudest speaker?  Is there a real expectation that people would construct "send Mix(LoudestSpeaker(1),LoudestSpeaker(2),LoudestSpeaker(3)) - LoudestSpeaker(2) to Destination(LoudestSpeaker(2)"?

> > Mix(LoudestSpeaker(1),LoudestSpeaker(2),LoudestSpeaker(3))", 
> > you will have exactly zero implementations.  That is very 
> > hard to do.  Moreover, I don't know anyone that is interested 
> > in, "Please play for me the 6th loudest speaker."
> 
> This is more important for video. If I am using a tiled 
> display I want the
> video of  loudest speaker in sub-window1, the video from the 
> second loudest
> speaker in sub window 2 and so on.

Would there EVER be a different mapping?  That is, would one EVER associate one audio stream with a DIFFERENT video stream?

[snip]

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP